package com.softwareag.example.dirservice.crowd;

import org.codehaus.jackson.annotate.JsonIgnoreProperties;
import org.codehaus.jackson.annotate.JsonProperty;

import com.softwareag.dir.extdirsvc.datamodel.IPrincipalModel;

@JsonIgnoreProperties(ignoreUnknown = true)
public abstract class CrowdPrincipalModel implements IPrincipalModel {

	private static final String DC_NAME = "crowdsample";
	
	@JsonProperty("email")
	private String email;
	
	@JsonProperty("name")
	private String name;
	
	@Override
	public String getDn() {
		StringBuilder sb = new StringBuilder();
		sb.append("uid=").append(getUid()).append(',').append("dc=").append(DC_NAME);
		return sb.toString();
	}

	@Override
	public String getEmail() {
		return email;
	}

	@Override
	public String getName() {
		return name;
	}

	@Override
	public String getUid() {
		return getName();
	}

}
