package com.softwareag.example.dirservice.crowd;

import org.codehaus.jackson.annotate.JsonIgnoreProperties;
import org.codehaus.jackson.annotate.JsonProperty;

import com.softwareag.dir.extdirsvc.datamodel.IUserModel;
import com.webmethods.portal.service.dir.IDirSystem;

@JsonIgnoreProperties(ignoreUnknown = true)
public class CrowdUserModel extends CrowdPrincipalModel implements IUserModel {

	@JsonProperty("first-name")
	private String firstName;
	
	@JsonProperty("last-name")
	private String lastName;
	
	@JsonProperty("display-name")
	private String fullName;
	
	@JsonProperty("active")
	private boolean active;
	
	@Override
	public String getFirstName() {
		return firstName;
	}

	@Override
	public String getFullName() {
		return fullName;
	}

	@Override
	public String getLastName() {
		return lastName;
	}

	@Override
	public boolean isUserDisabled() {
		return !isActive();
	}

	public boolean isActive() {
		return active;
	}

	@Override
	public int getType() {
		return IDirSystem.TYPE_USER;
	}

}
